Bug 60338 - crontab cannot update cron file if /tmp is a link.
crontab cannot update cron file if /tmp is a link.
Status: CLOSED DUPLICATE of bug 37771
Product: Red Hat Linux
Classification: Retired
Component: vim (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-25 19:47 EST by redhat-bugzilla
Modified: 2007-04-18 12:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-16 23:01:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description redhat-bugzilla 2002-02-25 19:47:58 EST
Description of Problem:
vixie-cron's crontab program seems unable to handle storing temporary files in
/tmp when /tmp is a symlinked directory.

Version-Release number of selected component (if applicable):
vixie-cron-3.0.1-63

How Reproducible:
Always

Steps to Reproduce:
1. Move /tmp to, for example, /var/you_better_not_leave_junk_here/ and create
a suitable softlink.
2. crontab -e and create a valid entry.
3. Observe output:

"crontab.26839" 1L, 48C written
crontab: no changes made to crontab

4. Notice absence of /var/spool/cron/root
5. Try again.
6. Try again.
7. Try again
8. Formulate vixie-cron conspiracy theories.

Actual Results:

Wind catches lily
scatt'ring petals to the wind --
crontab: no changes

Expected Results:
A file in /var/spool/cron/

Additional Information:

Confirmed problem does not manifest on stock (ie. real /tmp/ directory) 7.2 machine.
Comment 1 Bill Nottingham 2002-03-25 09:14:51 EST
I think this is actually an issue with vi.
Comment 2 Bill Huang 2002-06-03 05:23:44 EDT
It is a bug of vi.
Comment 3 Bill Huang 2002-06-16 23:03:11 EDT

*** This bug has been marked as a duplicate of 37771 ***
Comment 4 Mark Basil 2003-04-29 15:47:56 EDT
I do not understand how this is a duplicate of  37771.  That is an "exploit", while 
this is a limitation.  Even with the latest vim updates, 6.1-18.7x.2, I am still 
unable to run a successful 'crontab -e' while /tmp is a link to /usr/temp.  I am 
running RH7.3. 
 
Basically what i need to know is this going to be fixed, or should I look into other 
alternatives. 

Note You need to log in before you can comment on or make changes to this bug.